Check Password Strength
POST
/auth/password-strength
const url = 'https://example.com/auth/password-strength?password=example';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/auth/password-strength?password=example'Check password strength and get feedback
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”password
required
Password
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PasswordStrengthResponse
object
score
required
Score
integer
strength
required
Strength
string
feedback
required
Feedback
Array
length
required
Length
integer
has_uppercase
required
Has Uppercase
boolean
has_lowercase
required
Has Lowercase
boolean
has_numbers
required
Has Numbers
boolean
has_special
required
Has Special
boolean
Examplegenerated
{ "score": 1, "strength": "example", "feedback": [ "example" ], "length": 1, "has_uppercase": true, "has_lowercase": true, "has_numbers": true, "has_special": true}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}